org.opencv.face

## Class FacemarkTrain

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.Facemark
    - - org.opencv.face.FacemarkTrain

- Direct Known Subclasses:
    FacemarkAAM, FacemarkLBF

      public class FacemarkTrain
      extends Facemark

  Abstract base class for trainable facemark models To utilize this API in your program, please take a look at the REF: tutorial_table_of_content_facemark ### Description The AAM and LBF facemark models in OpenCV are derived from the abstract base class FacemarkTrain, which provides a unified access to those facemark algorithms in OpenCV. Here is an example on how to declare facemark algorithm: `// Using Facemark in your code: Ptr<Facemark> facemark = FacemarkLBF::create();` The typical pipeline for facemark detection is listed as follows:
  - (Non-mandatory) Set a user defined face detection using FacemarkTrain::setFaceDetector. The facemark algorithms are desgined to fit the facial points into a face. Therefore, the face information should be provided to the facemark algorithm. Some algorithms might provides a default face recognition function. However, the users might prefer to use their own face detector to obtains the best possible detection result.
  - (Non-mandatory) Training the model for a specific algorithm using FacemarkTrain::training. In this case, the model should be automatically saved by the algorithm. If the user already have a trained model, then this part can be omitted.
  - Load the trained model using Facemark::loadModel.
  - Perform the fitting via the Facemark::fit.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FacemarkTrain(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacemarkTrain` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.face.Facemark

      `fit, loadModel`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacemarkTrain

          protected FacemarkTrain(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FacemarkTrain __fromPtr__(long addr)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Facemark`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7